import { ref, onMounted, reactive } from 'vue'
import { defineStore } from 'pinia'
import { getUserInfo } from '../api/user/user'
// export const useUserStore = defineStore('useUserStore', () => {
//   state: () => ({
//     user:{}
//   }),
//   actions: {

//   },
// })

export const useUserStore = defineStore('useUserStore', {
  state: () => ({
    user:{}
  }),
  actions: {
    UserInfo(){
      getUserInfo().then(res => {
        this.user = res.data
      })
    }
  },
})